%define	modname	omfs
%define	name	dkms-%{modname}
%define	version	0.7.6
%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready driver for the Rio Karma omfs file system
License:	GPL
Source0:	http://bobcopeland.com/karma/releases/%{modname}-%{version}.tar.gz
Url:		http://bobcopeland.com/karma/banshee/
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for the omfs file system of the Rio
Karma mp3 players.

%prep
%setup -q -c -n %{modname}-%{version}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a %{modname}-%{version}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/extra/"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root) 
%doc %{_usrsrc}/%{modname}-%{version}-%{release}/README
%doc %{_usrsrc}/%{modname}-%{version}-%{release}/ChangeLog
%{_usrsrc}/%{modname}-%{version}-%{release}




%changelog
* Sun Jan 06 2008 Götz Waschk <waschk@mandriva.org> 0.7.6-1mdv2008.1
+ Revision: 146079
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdv2008.0
+ Revision: 98245
- new version

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.7.4-2mdv2008.0
+ Revision: 94466
- update to new version

* Sat May 26 2007 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2008.0
+ Revision: 31551
- new version


* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2007.0
+ Revision: 116217
- new version

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 96173
- Import dkms-omfs

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.1
- initial package

